THEFT-SERVER(1p)

NAME
theft-server - CLC-INTERCAL networking

SYNOPSIS
theft-server --port=port [options]

DESCRIPTION
The theft-server mediates the communication between two CLC-INTERCAL programs with the internet extension. It keeps a list of process IDs running on the current computer so it can provide lists of processes which can be engaged in INTERcal NETworking; it also responds to broadcasts allowing other CLC-INTERCAL programs on the LAN to know there is something happening on this computer.

Under normal conditions, the theft-server is started automatically by a CLC-INTERCAL programs with the internet extension (unless one is already running, of course!) because the extension cannot operate without a server on the local computer. However, it is possible to start one manually, for example from a /etc/init.d or /etc/rc.d.

If the program is started automatically, it uses defaults for all its configuration; when started manually, it accepts the following options:

-pport / --port=port
    Uses the given port (number or service name) for communications, instead of using the default one from a configuration file.

-lseconds / --linger=seconds
    Waits the specified time for a connection, then exit. The default is 15 (seconds). The timeout applies when the program starts and also when all existing connections are closed. This allows the program to be started on demand by CLC-INTERCAL programs, and to automatically exit when no longer required (unless more programs start up during the timeout).

    This function is disabled by setting the timeout to 0 (i.e. -l0); for example, if starting the server from /etc/init.d or equivalent one would disable the timeout.

-d / --debug
    Tells everything it's doing (on Standard Error). Also, prevents the program from detaching from the current terminal and going into the background.